org.apache.catalina.mbeans

## Class JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

- java.lang.Object
- - javax.rmi.ssl.SslRMIServerSocketFactory
  - - org.apache.catalina.mbeans.JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

All Implemented Interfaces:
  RMIServerSocketFactory

Enclosing class:
  JmxRemoteLifecycleListener

    public static class JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory
    extends SslRMIServerSocketFactory

### Constructor Summary

Constructors
Constructor and Description
`SslRmiServerBindSocketFactory(SSLContext sslContext, String[] enabledCipherSuites, String[] enabledProtocols, boolean needClientAuth, String address)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServerSocket` `createServerSocket(int port)`
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class javax.rmi.ssl.SslRMIServerSocketFactory

`getEnabledCipherSuites, getEnabledProtocols, getNeedClientAuth`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SslRmiServerBindSocketFactory

    public SslRmiServerBindSocketFactory(SSLContext sslContext,
                                         String[] enabledCipherSuites,
                                         String[] enabledProtocols,
                                         boolean needClientAuth,
                                         String address)

### Method Detail

#### createServerSocket

    public ServerSocket createServerSocket(int port)
                                    throws IOException

Specified by:
  `createServerSocket` in interface `RMIServerSocketFactory`
Overrides:
  `createServerSocket` in class `SslRMIServerSocketFactory`
Throws:
  `IOException`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `SslRMIServerSocketFactory`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `SslRMIServerSocketFactory`